/*
 * blancoIg
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.struts.metadata;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * @author Yasuo Nakanishi
 */
public class StrutsMetadata {

    private List _pathList = new ArrayList();

    private String _eventParameterName = "eventId";

    private String _formSuperClass = "org.apache.struts.action.ActionForm";

    public StrutsMetadata() {
    }

    public String getEventParameterName() {
        return _eventParameterName;
    }

    public void setEventParameterName(String eventParameterName) {
        _eventParameterName = eventParameterName;
    }

    public void addExcel(String path) {
        _pathList.add(path);
    }

    public Iterator getPathIterator() {
        return _pathList.iterator();
    }

    public String getFormSuperClass() {
        return _formSuperClass;
    }

    public void setFormSuperClass(String formSuperClass) {
        _formSuperClass = formSuperClass;
    }
}
